/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package zswzg.kex.tls;

import java.util.HashMap;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Klasse für die spezielle Umsetzung der AnzeigeQuerschnitt-Informationen für RP.
 * Diese Klasse wird über die Angabe des UmsetzungsModul verwendet und basiert auf der Default-Abarbeitung.
 * Es werden nur die Methoden mit der speziellen Abarbeitung überschrieben.
 * Umsetzung KExTls nach AnzeigenGlobal und Umsetzung AnzeigenGlobal nach KExTls.
 *
 * @version $Revision: 1.1 $ / $Date: 2008/09/15 08:37:49 $ / ($Author: Drapp $)
 *
 * @author Dambach-Werke GmbH
 * @author Thomas Drapp
 *
 */
public class AnzeigeQuerschnittTypUmsetzungTlsRp1 extends AnzeigeQuerschnittTypUmsetzungTlsDefault
{
  private static Debug m_debug = Debug.getLogger();

  /**
   * Konstruktor mit Übergabe der notwendigen HashMaps.
   *
   * @param listeAnzeigeQuerschnittAktorTlsDes Liste mit AnzeigeQuerschnittAktorTls mit Key DEs.
   * @param listeAnzeigeQuerschnittAktorTlsAnzeigeQuerschnitt Liste mit AnzeigeQuerschnittAktorTls mit Key AnzeigeQuerschnitt.
   * @param listeAnzeigeQuerschnittEigenschaftIst Liste mit Attributgruppe atg.anzeigeQuerschnittEigenschaftIst für alle AnzeigenQuerschnitte aktuell.
   * @param listeAnzeigeQuerschnittSchaltbarkeitNba Liste mit Attributgruppe atg.anzeigeQuerschnittSchaltbarkeitNba für alle AnzeigenQuerschnitte aktuell.
   * @param listeAnzeigeQuerschnittStatus Liste mit Status Methoden für alle AnzeigenQuerschnitte
   */
  public AnzeigeQuerschnittTypUmsetzungTlsRp1(HashMap<String, AnzeigeQuerschnittAktorTls> listeAnzeigeQuerschnittAktorTlsDes, HashMap<String, AnzeigeQuerschnittAktorTls> listeAnzeigeQuerschnittAktorTlsAnzeigeQuerschnitt, HashMap<String, Data> listeAnzeigeQuerschnittEigenschaftIst, HashMap<String, Data> listeAnzeigeQuerschnittSchaltbarkeitNba, HashMap<String, HashMap<String, Integer>> listeAnzeigeQuerschnittStatus)
  {
    super(listeAnzeigeQuerschnittAktorTlsDes, listeAnzeigeQuerschnittAktorTlsAnzeigeQuerschnitt, listeAnzeigeQuerschnittEigenschaftIst, listeAnzeigeQuerschnittSchaltbarkeitNba, listeAnzeigeQuerschnittStatus);

    m_debug.finer("AnzeigeTypUmsetzungTlsRp1");
  }
}
